#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Service Configuration Tool
Name:           lime-sysv
Version:        1.1.7
Release:        1
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	lime-common
Requires :	qt > 3.3
Requires :	openwbem
BuildRequires: openwbem, openwbem-devel, lime-common, qt > 3.3, qt-devel > 3.3, lmc-devel
%description
lime-sysv is a WBEM client tool for service configuration which depends on CIMOM,
when using this tool, make sure LIME provider has been installed 
and CIMOM of managed host has been started.

lime-sysv lets a system administrator configure init system services
(instead of directly manipulating the numerous symbolic links in
/etc/rc.d).
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps

cp %{name}.desktop $RPM_BUILD_ROOT/usr/share/applications
cp %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

# add a symlink to old rfmin tool
ln -sf lime-sysv $RPM_BUILD_ROOT/%{_bindir}/rfsysv

%post
%preun
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_bindir}/%{name}
%{_bindir}/rfsysv
/usr/share/pixmaps/%{name}.xpm
%{_libdir}/lmc/snapins/*.so*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_docdir}/lime/lime-sysv/images/*.jpg
%{_docdir}/lime/lime-sysv/*.html
%{_docdir}/lime/lime-sysv/*.xml
%config /usr/share/applications/%{name}.desktop
%{_datadir}/%{name}/*

%changelog
* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.7, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.6, see also package ChangeLog file for details.

* Mon Jul 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- merge lime-sysv-1.1.4-asianux-desktop_categories.patch to CVS,
- not install desktop to control panel

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com>
- added to lime-sysv-1.1.4-asianux-desktop_categories.patch

* Wed Jul 4 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 1.1.5, see also package ChangeLog file for details.

* Tue Jun 19 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add ChangeLog, NEWS, README, TODO to package, update to new version
- 1.1.4-1, see also package ChangeLog file for details.

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information. change desktop file
- installed location for KDE 3.5

* Mon May 14 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.1.1-1
- change control panel's desktop file to directory Group2Sys

* Fri Apr 13 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add build require, lmc-devel

* Thu Apr 5 2007 Diancheng Wang <dcwang@redflag-linux.com> 1.0.0-2
- add manual files, add a symlink for rfsysv

* Thu Jan 25 2007 Diancheng Wang <dcwang@redflag-linux.com>1.0.0-1
- add lmc-snapin, use lime-common library

* Tue May 11 2006 Diancheng Wang <dcwang@redflag-linux.com> 1.0.0-1
- initial version for 1.0.0
